import request from '@/common/utils/request'

// 查询图表管理列表
export function listChart(query) {
    return request({
        url: '/chart/list',
        method: 'get',
        params: query
    })
}

// 查询图表管理详细
export function getChart(id) {
    return request({
        url: '/chart/getChartById/' + id,
        method: 'get'
    })
}

// 新增图表管理
export function addChart(data) {
    return request({
        url: '/chart',
        method: 'post',
        data: data
    })
}

// 修改图表管理
export function updateChart(data) {
    return request({
        url: '/chart',
        method: 'put',
        data: data
    })
}

// 删除图表管理
export function delChart(id) {
    return request({
        url: '/chart/' + id,
        method: 'delete'
    })
}
// 生成图表
export function generateChartByAI(data) {
    const formData = new FormData();
    formData.set('chartType',data.chartType);
    formData.set('analysisTarget',data.analysisTarget);
    formData.set('name',data.name);
    formData.append('file',data.file);
    return request.postForm(
        '/chart/generateChartByAI',
        formData,
        {
            headers: {
                'Content-Type': 'multipart/form-data'
            }
        }
    );
    // return request({
    //     url: '/chart/generateChartByAI',
    //     method: 'post',
    //     data: data
    // })
}
