import request from "@/common/utils/request";

/**
 * 登录
 */
export function login(data) {
    return request.post(
        '/user/login',
        data
    );
}

/**
 * 注册
 */
export function userRegister(data) {
    return request.post(
        '/user/register',
        data
    );
}

/**
 * 获取用户信息
 * @returns {*}
 */
export function getUserInfo() {
    return request.get('/user/getUserInfo');
}

/**
 * 获取用户
 * @returns {*}
 */
export function userPage(currentPage,pageSize,userName,userAccount) {
    return request.get(`/user/page?currentPage=${currentPage}&pageSize=${pageSize}&userName=${userName}&userAccount=${userAccount}`);
}

// 查询用户列表
export function listUser(query) {
    return request({
        url: '/user/page',
        method: 'get',
        params: query
    })
}

// 查询用户详细
export function getUser(id) {
    return request({
        url: '/user/' + id,
        method: 'get'
    })
}

// 新增用户
export function addUser(data) {
    return request({
        url: '/user',
        method: 'post',
        data: data
    })
}

// 修改用户
export function updateUser(data) {
    return request({
        url: '/user',
        method: 'put',
        data: data
    })
}

// 删除用户
export function delUser(id) {
    return request({
        url: '/user/' + id,
        method: 'delete'
    })
}
