import Cookies from 'js-cookie'

const TokenKey = 'Admin-Token'

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getUserId(){
  //获取token
  let token = getToken();
  if (!token){
    return null;
  }
  //截取token，获取载体
  let strings = token.split(".");
  //解析，需要吧‘_’,'-'进行转换否则会无法解析
  let jwt = JSON.parse(decodeURIComponent(escape(window.atob(strings[1].replace(/-/g, "+").replace(/_/g, "/")))));
  return jwt.sub;
}

export function getUserRole(){
  let userInfo = JSON.parse(localStorage.getItem('userInfo'));
  if (userInfo)return userInfo.userRole;
  return '';
}

export function getUserName(){
  let userInfo = JSON.parse(localStorage.getItem('userInfo'));
  if (userInfo)return userInfo.userName;
  return '';
}
export function getUserPhoto(){
  let userInfo = JSON.parse(localStorage.getItem('userInfo'));
  if (userInfo)return userInfo.userPhoto;
  return '';
}

export function getUser(){
  let userInfo = JSON.parse(localStorage.getItem('userInfo'));
  return userInfo?userInfo:'';
}

export  function clearTokenAndUserInfo(){
  //删除用户信息
  localStorage.removeItem('userInfo');
  //清除token
  removeToken();
}
export  function saveUserInfo(userInfo){
  //保存用户信息
  localStorage.setItem('userInfo',JSON.stringify(userInfo));
}

export function isAdmin(){
  let role = getUserRole();
  return role != undefined &&role != null && role == '管理员';
}
