package space.anyi.BI.config;

import org.redisson.Redisson;
import org.redisson.RedissonRateLimiter;
import org.redisson.api.RRateLimiter;
import org.redisson.api.RateIntervalUnit;
import org.redisson.api.RateType;
import org.redisson.api.RedissonClient;
import org.redisson.config.Config;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.TimeUnit;

/**
 * @ProjectName: serve
 * @FileName: RedissonConfig
 * @Author: 杨逸
 * @Data:2024/12/7 14:03
 * @Description:
 */
@ConfigurationProperties("spring.redis")
@Configuration
public class RedissonConfig {
    private String host;
    private String password;
    private Integer database;
    private Integer port;
    @Bean
    public RedissonClient rateLimiter(){
        Config config = new Config();
        config.useSingleServer()
                .setDatabase(database)
                //.setPassword(password)
                .setAddress("redis://"+host+":"+port);
        RedissonClient redissonClient = Redisson.create(config);
        return redissonClient;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Integer getDatabase() {
        return database;
    }

    public void setDatabase(Integer database) {
        this.database = database;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }
}
