package space.anyi.BI.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

/**
 * 图标表
 * @TableName chart
 */
@TableName(value ="chart")
public class Chart implements Serializable {
    /**
     * 图表ID
     */
    @TableId()
    private Long id;

    /**
     * 图标名称
     */
    private String name;

    /**
     * 分析目标
     */
    private String analysisTarget;

    /**
     * 图标数据
     */
    private String chartData;

    /**
     * 图标类型
     */
    private String chartType;

    /**
     * 生成的图表数据
     */
    private String generatedChartData;

    /**
     * 生成的分析结论
     */
    private String analysisConclusion;

    /**
     * 创建用户ID
     */
    private Long userId;
    /**
     * 图表状态,等待中,生成中,成功,失败
     */
    private String state;

    /**
     * 执行信息
     */
    private String executeMessage;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date updatedTime;

    /**
     * 删除标志,0:未删除,1:已删除
     */
    private Integer deleteFlag;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /**
     * 图表ID
     */
    public Long getId() {
        return id;
    }

    /**
     * 图表ID
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 分析目标
     */
    public String getAnalysisTarget() {
        return analysisTarget;
    }

    /**
     * 分析目标
     */
    public void setAnalysisTarget(String analysisTarget) {
        this.analysisTarget = analysisTarget;
    }

    /**
     * 图标数据
     */
    public String getChartData() {
        return chartData;
    }

    /**
     * 图标数据
     */
    public void setChartData(String chartData) {
        this.chartData = chartData;
    }

    /**
     * 图标类型
     */
    public String getChartType() {
        return chartType;
    }

    /**
     * 图标类型
     */
    public void setChartType(String chartType) {
        this.chartType = chartType;
    }

    /**
     * 生成的图表数据
     */
    public String getGeneratedChartData() {
        return generatedChartData;
    }

    /**
     * 生成的图表数据
     */
    public void setGeneratedChartData(String generatedChartData) {
        this.generatedChartData = generatedChartData;
    }

    /**
     * 生成的分析结论
     */
    public String getAnalysisConclusion() {
        return analysisConclusion;
    }

    /**
     * 生成的分析结论
     */
    public void setAnalysisConclusion(String analysisConclusion) {
        this.analysisConclusion = analysisConclusion;
    }

    /**
     * 创建用户ID
     */
    public Long getUserId() {
        return userId;
    }

    /**
     * 创建用户ID
     */
    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getExecuteMessage() {
        return executeMessage;
    }

    public void setExecuteMessage(String executeMessage) {
        this.executeMessage = executeMessage;
    }

    /**
     * 创建时间
     */
    public Date getCreatedTime() {
        return createdTime;
    }

    /**
     * 创建时间
     */
    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    /**
     * 更新时间
     */
    public Date getUpdatedTime() {
        return updatedTime;
    }

    /**
     * 更新时间
     */
    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    /**
     * 删除标志,0:未删除,1:已删除
     */
    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    /**
     * 删除标志,0:未删除,1:已删除
     */
    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        Chart other = (Chart) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getAnalysisTarget() == null ? other.getAnalysisTarget() == null : this.getAnalysisTarget().equals(other.getAnalysisTarget()))
            && (this.getChartData() == null ? other.getChartData() == null : this.getChartData().equals(other.getChartData()))
            && (this.getChartType() == null ? other.getChartType() == null : this.getChartType().equals(other.getChartType()))
            && (this.getGeneratedChartData() == null ? other.getGeneratedChartData() == null : this.getGeneratedChartData().equals(other.getGeneratedChartData()))
            && (this.getAnalysisConclusion() == null ? other.getAnalysisConclusion() == null : this.getAnalysisConclusion().equals(other.getAnalysisConclusion()))
            && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()))
            && (this.getCreatedTime() == null ? other.getCreatedTime() == null : this.getCreatedTime().equals(other.getCreatedTime()))
            && (this.getUpdatedTime() == null ? other.getUpdatedTime() == null : this.getUpdatedTime().equals(other.getUpdatedTime()))
            && (this.getDeleteFlag() == null ? other.getDeleteFlag() == null : this.getDeleteFlag().equals(other.getDeleteFlag()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getAnalysisTarget() == null) ? 0 : getAnalysisTarget().hashCode());
        result = prime * result + ((getChartData() == null) ? 0 : getChartData().hashCode());
        result = prime * result + ((getChartType() == null) ? 0 : getChartType().hashCode());
        result = prime * result + ((getGeneratedChartData() == null) ? 0 : getGeneratedChartData().hashCode());
        result = prime * result + ((getAnalysisConclusion() == null) ? 0 : getAnalysisConclusion().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getCreatedTime() == null) ? 0 : getCreatedTime().hashCode());
        result = prime * result + ((getUpdatedTime() == null) ? 0 : getUpdatedTime().hashCode());
        result = prime * result + ((getDeleteFlag() == null) ? 0 : getDeleteFlag().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", analysisTarget=").append(analysisTarget);
        sb.append(", chartData=").append(chartData);
        sb.append(", chartType=").append(chartType);
        sb.append(", generatedChartData=").append(generatedChartData);
        sb.append(", analysisConclusion=").append(analysisConclusion);
        sb.append(", createdBy=").append(userId);
        sb.append(", createdAt=").append(createdTime);
        sb.append(", updatedAt=").append(updatedTime);
        sb.append(", deleteFlag=").append(deleteFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
