package space.anyi.BI.entity.xinghuo;

import java.io.Serializable;
import java.util.List;

/**
 * @ProjectName: serve
 * @FileName: RequestData
 * @Author: 杨逸
 * @Data:2024/12/4 15:48
 * @Description: 讯飞星火大模型的请求对象
 */

 public class HttpRequestData implements Serializable {
    public static final String MODEL_LITE = "Lite";
    public static final String MODEL_PRO = "Pro";
    public static final String MODEL_MAX = "Max";
    public static final String MODEL_PRO_128K = "Pro-128K";
    public static final String MODEL_MAX_32K = "Max-32K";
    public static final String MODEL_4_0_ULTRA = "4.0 Ultra";
    private String model = MODEL_LITE;
    private String user = "user"+System.currentTimeMillis();
    private List<HttpRequestMessage> messages;
    private Double temperature = 1.0;
    private Integer top_k = 4;
    private Boolean stream = false;
    private Integer max_tokens = 4096;
    private Integer presence_penalty = 0;
    private Integer frequency_penalty = 0;
    //private List<Tool> tools;
    private HttpResponseFormat response_format = HttpResponseFormat.text();

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public List<HttpRequestMessage> getMessages() {
        return messages;
    }

    public void setMessages(List<HttpRequestMessage> messages) {
        this.messages = messages;
    }

    public Double getTemperature() {
        return temperature;
    }

    public void setTemperature(Double temperature) {
        this.temperature = temperature;
    }

    public Integer getTop_k() {
        return top_k;
    }

    public void setTop_k(Integer top_k) {
        this.top_k = top_k;
    }

    public Boolean getStream() {
        return stream;
    }

    public void setStream(Boolean stream) {
        this.stream = stream;
    }

    public Integer getMax_tokens() {
        return max_tokens;
    }

    public void setMax_tokens(Integer max_tokens) {
        this.max_tokens = max_tokens;
    }

    public Integer getPresence_penalty() {
        return presence_penalty;
    }

    public void setPresence_penalty(Integer presence_penalty) {
        this.presence_penalty = presence_penalty;
    }

    public Integer getFrequency_penalty() {
        return frequency_penalty;
    }

    public void setFrequency_penalty(Integer frequency_penalty) {
        this.frequency_penalty = frequency_penalty;
    }

    public HttpResponseFormat getResponse_format() {
        return response_format;
    }

    public void setResponse_format(HttpResponseFormat response_format) {
        this.response_format = response_format;
    }

    @Override
    public String toString() {
        return "HttpRequestData{" +
                "model='" + model + '\'' +
                ", user='" + user + '\'' +
                ", messages=" + messages +
                ", temperature=" + temperature +
                ", top_k=" + top_k +
                ", stream=" + stream +
                ", max_tokens=" + max_tokens +
                ", presence_penalty=" + presence_penalty +
                ", frequency_penalty=" + frequency_penalty +
                ", response_format=" + response_format +
                '}';
    }
}




