package space.anyi.BI.handler.exception;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;
import space.anyi.BI.entity.ResponseResult;
import space.anyi.BI.exception.SystemException;

/**
 * @ProjectName: BI
 * @FileName: GlobalExceptionHandler
 * @Author: 杨逸
 * @Data:2024/11/28 20:25
 * @Description:
 */
@RestControllerAdvice
public class GlobalExceptionHandler{
    private final Logger log = LoggerFactory.getLogger(GlobalExceptionHandler.class);
    @ExceptionHandler(SystemException.class)
    public ResponseResult systemException(SystemException e){
        log.error("发生错误:{}",e);
        return ResponseResult.errorResult(e.getCode(),e.getMsg());
    }
    @ExceptionHandler(Exception.class)
    public ResponseResult systemException(Exception e){
        log.error("发生错误:{}",e);
        return ResponseResult.errorResult(ResponseResult.AppHttpCodeEnum.SYSTEM_ERROR.getCode(),e.getMessage());
    }
}
