package space.anyi.BI.handler.redisson;

import org.redisson.api.RRateLimiter;
import org.redisson.api.RateIntervalUnit;
import org.redisson.api.RateType;
import org.redisson.api.RedissonClient;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @ProjectName: serve
 * @FileName: RRateLimiterHandler
 * @Author: 杨逸
 * @Data:2024/12/7 14:14
 * @Description:
 */
@Service
public class RRateLimiterHandler {
    @Resource
    private RedissonClient redissonClient;
    public boolean accessAble(String key){
        //获取限流器
        RRateLimiter rateLimiter = redissonClient.getRateLimiter(key);
        //设置限流器速率
        //rateLimiter.setRate(RateType.OVERALL,5,1, RateIntervalUnit.SECONDS);
        rateLimiter.trySetRate(RateType.OVERALL,5,1, RateIntervalUnit.SECONDS);
        //获取令牌,每次获取一个令牌,如果获取不到则返回false
        //return rateLimiter.tryAcquire(1);
        //阻塞获取令牌,每次获取一个令牌
        //rateLimiter.acquire();
        return rateLimiter.tryAcquire(1);
    }
}
