package space.anyi.BI.handler.security;

import com.alibaba.fastjson.JSON;
import org.springframework.security.authentication.InsufficientAuthenticationException;
import org.springframework.security.authentication.InternalAuthenticationServiceException;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.web.AuthenticationEntryPoint;
import org.springframework.stereotype.Component;
import space.anyi.BI.entity.ResponseResult;
import space.anyi.BI.util.WebUtils;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @ProjectName: BI
 * @FileName: AuthenticationEntryPointImpl
 * @Author: 杨逸
 * @Data:2024/11/28 20:18
 * @Description:
 */
@Component
public class AuthenticationEntryPointImpl implements AuthenticationEntryPoint {
    @Override
    public void commence(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, AuthenticationException e) throws IOException, ServletException {
        e.printStackTrace();
        ResponseResult responseResult = null;
        //针对不同异常,返回对应的信息
        if (e instanceof InsufficientAuthenticationException) {
            responseResult = ResponseResult.errorResult(ResponseResult.AppHttpCodeEnum.NO_OPERATOR_AUTH);
        } else if (e instanceof InternalAuthenticationServiceException) {
            responseResult = ResponseResult.errorResult(ResponseResult.AppHttpCodeEnum.LOGIN_ERROR);
        } else {
            responseResult = ResponseResult.errorResult(ResponseResult.AppHttpCodeEnum.SYSTEM_ERROR.getCode(),e.getMessage());
        }
        WebUtils.renderString(httpServletResponse, JSON.toJSONString(responseResult));
    }
}
