package space.anyi.BI.util;

import org.springframework.beans.BeanUtils;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @ProjectName: BI
 * @FileName: BeanCopyUtil
 * @Author: 杨逸
 * @Data:2024/11/28 20:19
 * @Description:
 */
public class BeanCopyUtil {
    private BeanCopyUtil(){}

    public static <S,T> T copyBean(S source,Class<T> clazz) {
        T target = null;
        try {
            target = clazz.newInstance();
            //使用Spring的工具类实现Bean的拷贝,拷贝依靠的是Bean属性的名称
            BeanUtils.copyProperties(source, target);
        } catch (InstantiationException e) {
            e.printStackTrace();
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        }
        return target;
    }

    public static <S,T> List<T> copyBean(List<S> sourceList, Class<T> clazz) {
        return sourceList.stream().map(s -> copyBean(s,clazz)).collect(Collectors.toList());
    }

}
