package space.anyi.BI.util;

import cn.hutool.poi.excel.ExcelUtil;
import space.anyi.BI.entity.ResponseResult;
import space.anyi.BI.exception.SystemException;

import java.io.*;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.stream.Collectors;

/**
 * @ProjectName: serve
 * @FileName: ExcelUtils
 * @Author: 杨逸
 * @Data:2024/12/3 22:05
 * @Description:
 */
public class ExcelUtils {
    public static String excel2csv(File file){
        try {
            return excel2csv(new FileInputStream(file));
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
        return "";
    }

    public static String excel2csv(InputStream inputStream) {
        StringBuilder csv = new StringBuilder();
        //读数据
        List<Map> list = null;
        list = ExcelUtil.getReader(inputStream).readAll(Map.class);
        //处理数据,压缩数据
        if (Objects.isNull(list) || list.isEmpty()){
            throw new SystemException(ResponseResult.AppHttpCodeEnum.FILE_IS_EMPTY_ERROR);
        }
        //表头
        List<String> keyList = (List<String>) list.get(0).keySet().stream().collect(Collectors.toList());
        for (String key : keyList) {
            csv.append(key).append(",");
        }
        csv.deleteCharAt(csv.length() - 1);
        csv.append("\n");
        //数据列
        for (int i = 1; i < list.size(); i++) {
            Map map = list.get(i);
            for (String key : keyList) {
                csv.append(map.get(key)).append(",");
            }
            csv.deleteCharAt(csv.length() - 1);
            csv.append("\n");
        }
        return csv.toString();
    }
}
