package space.anyi.BI.util;

import org.junit.jupiter.api.Test;
import space.anyi.BI.entity.xinghuo.HttpRequestData;
import space.anyi.BI.entity.xinghuo.HttpRequestMessage;
import space.anyi.BI.entity.xinghuo.HttpResponseData;

import java.util.ArrayList;
import java.util.List;

/**
 * @ProjectName: serve
 * @FileName: AiUtilTest
 * @Author: 杨逸
 * @Data:2024/12/4 16:03
 * @Description:
 */
class AiUtilTest {

    @Test
    void doChat() {
        String prompt = "你是一位专业的数据分析师和前端工程师，擅长对数据进行分析并得出明确的结论。你精通使用Echarts进行数据可视化，并能结合可视化的数据图表进行合理的分析。\n" +
                "\n" +
                "要求：\n" +
                "\n" +
                "- 直接输出两个部分：Echarts图表的配置代码和数据分析结论，不包含其他提示内容。\n" +
                "- 我将提供原始CSV数据和分析目标，你需根据这些信息生成Echarts图表的配置代码。\n" +
                "\t- CSV数据以','字符分割,每一行代表一条数据\n" +
                "- 输出格式为：先输出Echarts的option配置对象的JavaScript代码，然后输出分析结论。\n" +
                "- 请按照指定的输出格式提供我需要的内容。\n" +
                "输入格式：\n" +
                "\n" +
                "- 原始数据\n" +
                "- 分析目标\n" +
                "输出格式：\n" +
                "\n" +
                "- Echarts的option配置对象的JavaScript代码\n" +
                "- 数据分析结论";
        List<HttpRequestMessage> messages = new ArrayList<>();
        HttpRequestMessage message = new HttpRequestMessage(HttpRequestMessage.SYSTEM_ROLE,prompt);
        messages.add(message);

        message = new HttpRequestMessage();
        String content = "原始数据:\n" +
                "日期,人数\n" +
                "1号,10\n" +
                "2号,30\n" +
                "3号,20\n" +
                "分析目标:\n" +
                "分析网站的人数增长趋势";
        message.setContent(content);
        messages.add(message);

        HttpRequestData requestData = new HttpRequestData();
        //requestData.setModel(HttpRequestData.MODEL_PRO);
        requestData.setMessages(messages);

        //System.out.println("requestData = " + requestData);
        HttpResponseData httpResponseData = AiUtil.doChat(requestData);
        System.out.println("httpResponseData = " + httpResponseData);
        String res = httpResponseData.getChoices().get(0).getMessage().getContent();
        System.out.println("res = " + res);
    }
}
